Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class UnaryOperatorExpression

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.UnaryOperatorExpression

    public class UnaryOperatorExpression

extends Expression

An expression representing one or more unary operators on a value

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`UnaryOperatorExpression(UnaryOperator pOperator, List pOperators, Expression pExpression)` Constructor

Method Summary
`Object` | `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates to the literal value
`Expression` | `getExpression()`
`String` | `getExpressionString()` Returns the expression in the expression language syntax
`UnaryOperator` | `getOperator()`
`List` | `getOperators()`
`void` | `setExpression(Expression pExpression)`
`void` | `setOperator(UnaryOperator pOperator)`
`void` | `setOperators(List pOperators)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryOperatorExpression

    public UnaryOperatorExpression(UnaryOperator pOperator,
                                   List pOperators,
                                   Expression pExpression)

  Constructor

Method Detail

### getOperator

    public UnaryOperator getOperator()

### setOperator

    public void setOperator(UnaryOperator pOperator)

### getOperators

    public List getOperators()

### setOperators

    public void setOperators(List pOperators)

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression pExpression)

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public Object evaluate(Object pContext,
                           VariableResolver pResolver,
                           Map functions,
                           String defaultPrefix,
                           Logger pLogger)
                    throws ELException

  Evaluates to the literal value

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.